package MultipleKalmanTracking;

import org.opencv.core.Scalar;

import project.Controller;


public class CONFIG {
	
	Controller controller;
	
	
	public static Scalar Colors[] = { new Scalar(255, 0, 0), new Scalar(0, 255, 0),
			new Scalar(0, 0, 255), new Scalar(255, 255, 0),
			new Scalar(0, 255, 255), new Scalar(255, 0, 255),
			new Scalar(255, 127, 255), new Scalar(127, 0, 255),
			new Scalar(127, 0, 127) };
	
	/*public static double _dt = 0.2;
	public static double _Accel_noise_mag =0.5;
	public static double _dist_thres = 100;
	public static int _maximum_allowed_skipped_frames =15;
	public static int _max_trace_length = 10;
	public static int min_contourarea =500;
	public static int max_contourarea = 3000;
	public static double learningRate =0.015;*/
	
	public double _dt = controller.dt_slider.getValue();
	public double _Accel_noise_mag =controller.noise_slider.getValue();
	public double _dist_thres = controller.distance_slider.getValue();
	public int _maximum_allowed_skipped_frames = (int) controller.skipedFrames_slider.getValue();
	public int _max_trace_length = (int) controller.traceLength_slider.getValue();
	public int min_contourarea = (int) controller.minArea_slider.getValue();
	public int max_contourarea = (int) controller.maxArea_slider.getValue();
	public double learningRate = controller.learningRate_slider.getValue();

	
	
}